v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/unblinded-rand-history
Retrieves unblinded randomization history for all subjects within the study. Rights: OrsSubjectVisitGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Unblinded Randomization History v1.0
Type:
objectTitle:
Unblinded Randomization History v1.0Contains unblinded randomization history.
Show Source
Nested Schema : treatmentArms
Type:
Show Source
array-
Array of:
object Randomization Details
Title:
Randomization DetailsContains randomization details.
Nested Schema : Randomization Details
Type:
objectTitle:
Randomization DetailsContains randomization details.
Show Source
-
description: string
Randomization description.Example:
RndA -
externalTreatmentId: string
External treatment ID.Example:
B1B8327AFAA6412287106192AB5984EF -
id: string
(uuid)
Randomization ID.
-
randNumber: number
(double)
Randomization number.Example:
5 -
randomizationDate: string
(date-time)
Randomization date.
-
rndStatusId: number
(double)
Allowed Values:
[ 1, 2, 3, 4, 5 ]Unique ID corresponding to each Randomization status value (1 for Not Approved, 2 for Available, 3 for Not Released, 4 for Assigned, 5 for Randomized in Error).Example:1 -
visitId: string
(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
Example:
{
"treatmentArmId":"E0E1E2E3E4E5E6E7E8E9EAEBECEDEEEF",
"treatmentArmName":"Arm A"
}Examples
404 Response
Invalid study ID or version. Or subject not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples